## oem-config 1.8

=== d-i/Makefile ===
unexport DH_OPTIONS

APTDIR := apt
LISTDIR := lists
SOURCEDIR := source

ifndef DEB_HOST_ARCH
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
endif

PACKAGES := $(shell cat $(LISTDIR)/any)
ifneq (,$(wildcard $(LISTDIR)/$(DEB_HOST_ARCH)))
PACKAGES += $(shell cat $(LISTDIR)/$(DEB_HOST_ARCH))
endif
# We don't need to build console-setup.
PACKAGES := $(filter-out console-setup,$(PACKAGES))

update:
	./get-sources update
	./get-sources $(shell sort -u $(LISTDIR)/*)
	./update-control
	./update-changelog

maintainer-clean:
	rm -rf $(SOURCEDIR)

build:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(cd "$(SOURCEDIR)/$$package" && debian/rules build); \
		fi; \
	done

clean:
	rm -rf $(APTDIR)
	for dir in $(SOURCEDIR)/*; do \
		if [ -d "$$dir" ]; then \
			(cd "$$dir" && debian/rules clean); \
		fi; \
	done
	rm -f $(SOURCEDIR)/*.deb $(SOURCEDIR)/*.udeb
	rm -f manifest.old
	rm -rf udeb-control templates

install:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(export NO_PKG_MANGLE=1; \
			 cd "$(SOURCEDIR)/$$package" && \
			 debian/rules binary && \
			 rm -rf debian/*/DEBIAN); \
		fi; \
	done
	rm -rf udeb-control templates
	mkdir -p udeb-control
	set -e; for udeb in $(SOURCEDIR)/*.udeb; do \
		if [ -f "$$udeb" ]; then \
			name="$$(basename "$$udeb" .udeb)"; \
			dpkg-deb -e "$$udeb" "udeb-control/$$name"; \
			if [ -f "udeb-control/$$name/templates" ]; then \
				sed -n '/./,$$p' "udeb-control/$$name/templates" | \
					grep -iv '^indices.*:' >> templates; \
				if [ "$$(tail -n1 templates)" ]; then \
					echo >> templates; \
				fi; \
			fi; \
		fi; \
	done

.PHONY: update build clean install

=== d-i/source/console-setup/Makefile ===
etcdir = /etc
prefix = /usr/local
xkbdir = $(shell pwd)/Keyboard/ckb
export xkbdir

bootprefix = $(patsubst %/usr,%/,$(prefix:%/=%))

SHELL = /bin/sh

all: build

build:
	cd Fonts && $(MAKE) build
	cd Keyboard && $(MAKE) build
	touch build

.PHONY: install
install: build
	install -d $(prefix)/share/consolefonts/
	install -m 644 Fonts/*.psf.gz $(prefix)/share/consolefonts/
	install -d $(prefix)/share/consoletrans
	install -m 644 Keyboard/acm/*.acm.gz $(prefix)/share/consoletrans
	install -d $(prefix)/share/console-setup
	install -m 644 Keyboard/KeyboardNames.pl $(prefix)/share/console-setup
	install Keyboard/kbdnames-maker $(prefix)/share/console-setup
	install -d  $(prefix)/bin/
	install Keyboard/ckbcomp $(prefix)/bin/
	install -d  $(bootprefix)/bin/
	install setupcon $(bootprefix)/bin/
	install -d $(etcdir)/console-setup
	install -m 644 Keyboard/compose.*.inc $(etcdir)/console-setup/
	cp -r Keyboard/ckb/ $(etcdir)/console-setup/
#	cp Keyboard/rules $(etcdir)/console-setup/ckb/rules/console
#	cp Keyboard/rules.xml $(etcdir)/console-setup/ckb/rules/console.xml
	install -d $(etcdir)/default
	install -m 644 config $(etcdir)/default/console-setup

.PHONY: uninstall
uninstall: build
	-for font in Fonts/*.psf.gz; do \
		rm $(prefix)/share/consolefonts/$${font##*/}; \
	done
	-for acm in Keyboard/acm/*.acm.gz; do \
		rm $(prefix)/share/consoletrans/$${acm##*/}; \
	done
	-rm -rf $(etcdir)/console-setup/
	-rm $(prefix)/bin/ckbcomp
	-rm $(bootprefix)/bin/setupcon

.PHONY: clean
clean:
	cd Fonts && $(MAKE) clean
	cd Keyboard && $(MAKE) clean
	-rm -f *~
	-rm -f build

.PHONY: maintainer-clean
maintainer-clean: clean
	cd Fonts && $(MAKE) maintainer-clean
	cd Keyboard && $(MAKE) maintainer-clean

=== d-i/source/console-setup/Keyboard/Makefile ===
SHELL = /bin/sh

build : compose_files gziped_acmfiles KeyboardNames.pl MyKeyboardNames.pl

models = amiga ataritt macintosh_old pc105 sun4 sun5

gziped_ekmaps =  $(addsuffix .ekmap.gz, $(models))

build-mini : $(gziped_ekmaps) pc105.tree

%.gz : %
	gzip -9 <$< >$@

%.ekmap : 
	./kbdcompiler $(@:%.ekmap=%) MyKeyboardNames.pl $(xkbdir) >$@

%.tree : %.ekmap.gz keymaptree.use
	./keymaptree -output $@ -useonly "$$(< keymaptree.use grep -v '^#' | xargs | sed 's/ /,/g')" $(@:%.tree=%)

acmfiles = $(wildcard acm/*.acm)

gziped_acmfiles = $(addsuffix .gz, $(acmfiles))

gziped_acmfiles : $(gziped_acmfiles)

charmaps = $(basename $(notdir $(acmfiles)))

compose_files = $(addprefix compose.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $@)

VISCII-XCOMPOSE = locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE = locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE = locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE = locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE = locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE = locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE = locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE = locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE = locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE = locale/iso8859-15/Compose


$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		./compose_translator --acm acm/$(charmap).acm \
				     $($(charmap)-XCOMPOSE) >>$@)

compose_files : $(compose_files)


.PHONY: clean
clean:
	-rm -f *~
	-rm -f acm/*.acm.gz
	-rm -rf compose $(compose_files)
	-rm -rf keymaps tree-keymaps
	-rm -f keymaps.dir names.list
	-rm -f $(gziped_ekmaps)
	-rm -f MyKeyboardNames.pl

.PHONY: maintainer-clean
maintainer-clean: clean
	./xmlreader >KeyboardNames.pl

KeyboardNames.pl:
	./xmlreader >KeyboardNames.pl

MyKeyboardNames.pl:
	./xmlreader $(xkbdir)/rules/xorg.xml >MyKeyboardNames.pl

## oem-config 0.9

=== debian/changelog ===
oem-config (0.9) breezy; urgency=low

  * Quieten output from deluser.
  * Quieten output from debconf-communicate while resetting passwd/user-uid.
  * Try setting LANG to the value of debian-installer/fallbacklocale if the
    value of debian-installer/locale isn't a valid locale (Ubuntu #17366).
  * Set labels in passwd and timezone windows to the translated descriptions
    of the same questions in the installer; sync text of passwd labels with
    the text in passwd.templates (Ubuntu #17366).
  * Re-register passwd/user-fullname and passwd/username templates to
    themselves rather than debian-installer/dummy (although it's a bug
    somewhere in preseeding that they're left this way) so that we get
    useful translated descriptions for them.
  * Set title of timezone window to the translated description of
    tzconfig/title. Unfortunately this is too hard to do for the passwd
    window at present.
  * Exiting oem-config can leave you without a configured user, so try not
    to exit unnecessarily. If we have to, then print an error message with
    instructions and drop the user to a shell, since that's better than a
    login prompt with no users.
  * Reload /var/lib/dpkg/info/base-config.templates for timezone question;
    for some reason the translations seem to be getting lost from it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:41:41 +0100

oem-config (0.8) breezy; urgency=low

  * Remove the temporary OEM configuration user before running oem-config.
  * Reset passwd/user-uid before running oem-config, so that the new user is
    created at uid 1000 rather than 29999.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Oct 2005 13:04:42 +0100

oem-config (0.7) breezy; urgency=low

  * Use an init script and temporary rc.d links to launch
    oem-config-firstboot on the first boot after installation, rather than a
    temporary inittab. The latter approach caused base-config to be
    respawned after exiting.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Sep 2005 12:53:13 +0100

oem-config (0.6) breezy; urgency=low

  * Set passwd and timezone window gravity to center.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 13:35:58 +0100

oem-config (0.5) breezy; urgency=low

  * Unset LANGUAGE while running steps; it overrides LANG and thereby causes
    much confusion.
  * Policy version 3.6.2. No changes required.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 16:48:08 +0100

oem-config (0.4) breezy; urgency=low

  * Emit a debug message when changing LANG.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 16:31:07 +0100

oem-config (0.3) breezy; urgency=low

  * Actually install /usr/sbin/oem-config-firstboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  3 Aug 2005 20:18:53 +0100

oem-config (0.2) breezy; urgency=low

  * Update GPL notices with the FSF's new address.
  * Add description for base-config menu entry.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  3 Aug 2005 11:59:44 +0100

oem-config (0.1) breezy; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 17:24:44 +0100

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), po-debconf, python
Standards-Version: 3.6.2

Package: oem-config
Architecture: all
Depends: debconf (>= 1.4.52), debconf-utils, base-config, oem-config-keyboard, oem-config-locale, ${python:Depends}, python-gtk2, python-glade2
Recommends: hwdb-client
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 If this package is installed while base-config is run at the end of an
 installation, then the system will automatically be configured to run
 oem-config the next time it boots.

=== debian/rules ===
#! /usr/bin/make -f

tmp = $(CURDIR)/debian/oem-config

build:

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/oem-config/menu usr/share/lintian/overrides
	dh_install oem-config oem-config-dm oem-config-firstboot \
		oem-config-test usr/sbin/
	dh_install *.py /usr/lib/oem-config/
	dh_install menu/* usr/lib/oem-config/menu/
	set -e; for x in menu/*.templates; do \
		po2debconf --podir=debian/po $$x \
			> $(tmp)/usr/lib/oem-config/menu/$${x##*/}; \
	done
	dh_install base-config/* /usr/lib/base-config/menu/
	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs
	dh_installinit -n
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 0.14

=== debian/changelog ===
oem-config (0.14) dapper; urgency=low

  * Set LANGUAGE as well as LANG when changing the locale; this allows us to
    get correct debconf translations without needing to run locale-gen (see
    Malone #43071).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 May 2006 15:27:07 +0100

oem-config (0.13) dapper; urgency=low

  * Depend on xserver-xorg and metacity for oem-config-dm (closes: Malone
    #33837).
  * Depend on user-setup for username/password menu item (closes: Malone
    #33277).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Apr 2006 14:13:41 +0100

oem-config (0.12) dapper; urgency=low

  * Make better use of dh_install.
  * Add various helpers in /usr/lib/oem-config/compat, moved here from
    oem-config-locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 15:33:33 +0000

oem-config (0.11) dapper; urgency=low

  * Add a main-menu step to the udeb which is responsible for arranging to
    create the oem user with a suitable uid. This was formerly done by a
    preseed file.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jan 2006 18:38:37 +0000

oem-config (0.10) dapper; urgency=low

  * Remove unused moduledir variable.
  * Remove passwd menu entry, now moved to user-setup.
  * Build binary package in binary-indep, not binary-arch.
  * We now use a single-stage installer, so we can no longer hook into
    base-config. Add a udeb instead which provides instructions on what to
    do after the first boot, and add an oem-config-prepare program which
    should be run by the OEM once they have completed any necessary
    modifications. Note that this means that the system is no longer
    prepared for the end-user until oem-config-prepare is manually run
    (closes: Malone #28095).
  * Make oem-config-udeb responsible for installing oem-config in /target.
    This will require preseed file changes.
  * Remove timezone menu entry, now moved to oem-config-timezone.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jan 2006 16:20:14 +0000

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), po-debconf, python
Standards-Version: 3.6.2

Package: oem-config
Architecture: all
Depends: debconf (>= 1.4.52), debconf-utils, oem-config-keyboard, oem-config-locale, oem-config-timezone, user-setup, ${python:Depends}, python-gtk2, python-glade2, xserver-xorg, metacity
Recommends: hwdb-client
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: cdebconf-udeb
XB-Installer-Menu-Item: 28
Description: Prepare for end-user configuration after initial installation

=== debian/rules ===
#! /usr/bin/make -f

tmp = $(CURDIR)/debian/oem-config

build:

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	dh_clean

binary-arch:

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	set -e; for x in menu/*.templates; do \
		po2debconf --podir=debian/po $$x \
			> $(tmp)/usr/lib/oem-config/menu/$${x##*/}; \
	done
	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -i
	dh_installdocs
	dh_installchangelogs
	dh_installinit -n
	dh_compress -i
	dh_fixperms -i
	dh_python
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary
